# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-python
# END SourceDeps(oneline)
%define oldname python-paida
%{!?python_sitelib: %global python_sitelib %(python -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}

%global oname paida

Name:		python-module-paida
Version:	3.2.1_2.10.1
Release:	alt1_8
Summary:	Pure Python scientific analysis package
Group:		Development/Python
License:	Python
URL:		http://paida.sourceforge.net
Source0:	http://downloads.sourceforge.net/%{oname}/%{oname}-%{version}.tar.gz
BuildArch:	noarch

BuildRequires:	python-devel
Requires:	tkinter
Source44: import.info
# optional swing interface
%filter_from_requires /^python....java./d
%filter_from_requires /^python....javax./d

%description
PAIDA is pure Python scientific analysis package and
supports AIDA (Abstract Interfaces for Data Analysis).

%prep
%setup -q -n %{oname}-%{version}

%build
python setup.py build


%install
python setup.py install -O1 --skip-build --root %{buildroot} 

 
%files
%doc CHANGES PKG-INFO README
%{python_sitelibdir_noarch}/%{oname}/
%{python_sitelibdir_noarch}/%{oname}-*.egg-info


%changelog
* Thu Feb 21 2013 Igor Vlasenko <viy@altlinux.ru> 3.2.1_2.10.1-alt1_8
- update to new release by fcimport

* Tue Jan 08 2013 Igor Vlasenko <viy@altlinux.ru> 3.2.1_2.10.1-alt1_7
- initial fc import

